Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1297418 - startplasmacompositor issues
Summary: startplasmacompositor issues
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-workspace
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: KDEWaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-01-11 13:23 UTC by Christian Stadelmann
Modified: 2016-01-14 19:12 UTC (History)
6 users (show)

Fixed In Version: plasma-workspace-5.5.3-4.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-14 19:12:57 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
KDE Software Compilation 357744 0 None None None 2016-01-11 14:02:42 UTC

Description Christian Stadelmann 2016-01-11 13:23:46 UTC
Description of problem:
Upstream KDE (including upstream for /usr/bin/startplasmacompositor and probably others) refers to qdbus as the Qt5 version of qdbus. Fedora package qt provides /usr/bin/qdbus for Qt4. The Qt5 version is called qdbus-qt5 and is being provided by qt5-qttools.

There are 2 possible solutions:
A) rename Qt4's qdbus to qdbus-qt4 and Qt5's qdbus-qt5 to qdbus
B) replace occurrences of qdbus with qdbus-qt5 in plasma-workspace package

Note that both changes probably affect other binaries provided by qt4 and qt5 [1] and every single application that uses them.

Version-Release number of selected component (if applicable):
5.5.3


[1] some binaries provided by both Qt4 and Qt5:
moc-qt5
qcatool-qt5
qdbus-qt5
qmake-qt5
uic-qt5                                   
mozcerts-qt5
qdbuscpp2xml-qt5
qdbusxml2cpp-qt5
rcc-qt5

See also: https://bugs.kde.org/show_bug.cgi?id=357744

Comment 1 Rex Dieter 2016-01-11 14:02:42 UTC
We already patch everything else to use explicit -qt4 or -qt5 suffixes where needed, we can do the same here, thanks.

Comment 2 Rex Dieter 2016-01-11 14:37:56 UTC
http://pkgs.fedoraproject.org/cgit/rpms/plasma-workspace.git/commit/?id=c2b0491324a01c6ea4fa3300e593db3ceee73eb6

5.5.3-4.f23
- startplasmacompositor.patch (#1297528)
...

Comment 3 Fedora Update System 2016-01-12 23:37:42 UTC
plasma-workspace-5.5.3-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8be45c9c9f

Comment 4 Fedora Update System 2016-01-13 05:21:24 UTC
plasma-workspace-5.5.3-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Rex Dieter 2016-01-13 20:24:05 UTC
I'm going to cheat, and use this bug to track remaining issues with startplasmacompositor.

I'm now hitting a kwin_wayland crash, apparently in Qt, I'll post a backtrace shortly.

Comment 6 Rex Dieter 2016-01-13 20:26:09 UTC
$ rpm -q kwin-wayland plasma-workspace-wayland qt5-qtbase
kwin-wayland-5.5.3-1.fc23.x86_64
plasma-workspace-wayland-5.5.3-4.fc23.x86_64
qt5-qtbase-5.6.0-0.19.beta.fc23.x86_64


Thread 1 (Thread 0x7fffdedae940 (LWP 14213)):
#0  0x00007fffefcc61e0 in QScreen::handle() const (this=0x0) at kernel/qscreen.cpp:139
#1  0x00007fffefcd6a82 in QHighDpiScaling::updateHighDpiScaling() () at kernel/qhighdpiscaling.cpp:305
#2  0x00007fffef9579ca in QCoreApplication::init() (this=this@entry=0x7fffffffd9c0) at kernel/qcoreapplication.cpp:821
#3  0x00007fffef957bc6 in QCoreApplication::QCoreApplication(QCoreApplicationPrivate&) (this=0x7fffffffd9c0, p=...) at kernel/qcoreapplication.cpp:703
#4  0x00007fffefc9af99 in QGuiApplication::QGuiApplication(QGuiApplicationPrivate&) (this=0x7fffffffd9c0, p=...) at kernel/qguiapplication.cpp:573
#5  0x00007ffff028406d in QApplication::QApplication(int&, char**, int) (this=0x7fffffffd9c0, argc=@0x7fffffffd7ec: 1, argv=0x7fffffffdbf8, _internal=328961)
    at kernel/qapplication.cpp:561
#6  0x00007ffff79e1c0e in KWin::Application::Application(KWin::Application::OperationMode, int&, char**) (this=0x7fffffffd9c0, mode=KWin::Application::OperationModeWaylandAndX11, argc=<optimized out>, argv=<optimized out>) at ../main.cpp:153
#7  0x000055555555f209 in KWin::ApplicationWayland::ApplicationWayland(int&, char**) (this=0x7fffffffd9c0, argc=<optimized out>, argv=<optimized out>) at ../main_wayland.cpp:72
#8  0x000055555555cba5 in main(int, char**) (argc=1, argv=<optimized out>) at ../main_wayland.cpp:416

Comment 7 Christian Stadelmann 2016-01-13 22:35:24 UTC
I'd rather report a separate bug. The qdbus issue is fixed, your backtrace is completely unrelated. I'm getting backtraces too, but I'll report them separately if I can since they will be generated by abrt.

Comment 8 Christian Stadelmann 2016-01-14 19:12:25 UTC
See https://bugzilla.redhat.com/show_bug.cgi?id=1298711 for your kwin backtrace.


Note You need to log in before you can comment on or make changes to this bug.